# Interface Regex

public interface Regex
A regular expression that can be matched against a string.

See Also:
  - `RegexEngine`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `matches(String str)`
  Tests whether this regular expression matches a string.

- ## Method Details

  - ### matches

    boolean matches(String str)
    Tests whether this regular expression matches a string.
    Parameters:
      `str` - the String to be tested
    Returns:
      `true` if `str` matches this regular expression, `false` otherwise